.toybox-toy {
  --toybox-toy-base: calc(1rem / 4);
  --toybox-toy-line: 1px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  margin: 0;
  padding: 1rem;
  background: #ddd;
  color: #444;
  border-radius: 0.5rem;
  border: 1px solid transparent;
  background:
    linear-gradient(#fff, #ddd) padding-box,
    linear-gradient(#0001, #0006) border-box;
}

.toybox-toy button {
  all: unset;
  text-align: center;
  user-select: none;
  border: solid var(--toybox-toy-base) transparent;
  padding: calc(var(--toybox-toy-base) + var(--toybox-toy-line));
  border-radius: 9999px;
  box-shadow: inset 0 0 0 var(--toybox-toy-line) #777;
  transition: 50ms filter;
  text-shadow: 1px 1px 0 #f8f8f8;
  font-weight: bold;
  display: flex;
  justify-content: center;
  font-size: 1rem;
}

.toybox-toy button[data-type="1"] {
  background:
    linear-gradient(#ddd, #fff) content-box,
    linear-gradient(#fff, #ccc) padding-box,
    linear-gradient(#ccc, #fff) border-box;
}

.toybox-toy button[data-type="2"] {
  background:
    linear-gradient(#fff, #ccc) padding-box,
    linear-gradient(#ddd, #fff) border-box;
}

.toybox-toy button > span {
  display: block;
  padding: calc(1rem / 8) 1rem;
}

.toybox-toy button:focus-visible {
  outline: 2px solid;
  outline-offset: 1px;
}

.toybox-toy button:hover {
  filter: brightness(103%);
}

.toybox-toy button:active {
  filter: brightness(97%);
}
